Skip to main content
`Ctrl`+`K`

# RGIntervalGetEndpoints

Gets the parameters that define the interval region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGIntervalGetEndpoints(RG rg,PetscReal *a,PetscReal *b,PetscReal *c,PetscReal *d)

Not Collective

## Input Parameter

- rg - the region context

## Output Parameters

- a - left endpoint of the interval in the real axis

- b - right endpoint of the interval in the real axis

- c - bottom endpoint of the interval in the imaginary axis

- d - top endpoint of the interval in the imaginary axis

## See Also

RG: Region, `RGINTERVAL`, `RGIntervalSetEndpoints()`

## Level

advanced

## Location

src/sys/classes/rg/impls/interval/rginterval.c

## Implementations

RGIntervalGetEndpoints_Interval() in src/sys/classes/rg/impls/interval/rginterval.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages